Bug 847755 - Review Request: gstreamer1-plugins-bad-free - GStreamer streaming media framework "bad" plugins
Review Request: gstreamer1-plugins-bad-free - GStreamer streaming media frame...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On: 841243
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 09:04 EDT by Brian Pepple
Modified: 2012-09-17 18:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 681952 None None None 2012-08-15 19:17:11 EDT
GNOME Desktop 682158 None None None 2012-08-18 11:16:11 EDT

  None (edit)
Description Brian Pepple 2012-08-13 09:04:49 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-bad-free.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-bad-free-0.11.92-1.fc17.src.rpm
Description: GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested well enough, or the code
is not of good enough quality.

Fedora Account System Username: bpepple
Comment 1 Brian Pepple 2012-08-15 19:16:16 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-bad-free.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-bad-free-0.11.93-1.fc17.src.rpm

* Wed Aug 15 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.11.93-1
- Update to 0.11.93.
Comment 2 Brian Pepple 2012-08-15 19:21:45 EDT
Forgot to add a link to a scratch build for this:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4394360
Comment 3 Bastien Nocera 2012-08-18 09:22:40 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot}
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint is run on all rpms the build produces.

gstreamer1-plugins-bad-free.src: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-bad-free.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-bad-free.src: W: strange-permission gst-p-bad-cleanup.sh 0775L

Make that 755 instead.

gstreamer1-plugins-bad-free.src:18: W: macro-in-comment %{version}
gstreamer1-plugins-bad-free.src: W: invalid-url Source0: gst-plugins-bad-free-0.11.93.tar.xz
gstreamer1-plugins-bad-free.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-bad-free.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-bad-free.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gstreamer-1.0/libgstvideoparsersbad.so ['/usr/lib64']
gstreamer1-plugins-bad-free.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gstreamer-1.0/libgstcamerabin2.so ['/usr/lib64']

A couple of rpaths see:
https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath

gstreamer1-plugins-bad-free.x86_64: E: incorrect-fsf-address /usr/share/doc/gstreamer1-plugins-bad-free-0.11.93/COPYING

Please file a bug

gstreamer1-plugins-bad-free-devel.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-bad-free-extras.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-bad-free-extras.x86_64: W: spelling-error %description -l en_US gstreamer -> streamer, g streamer, steamer
gstreamer1-plugins-bad-free-extras.x86_64: W: spelling-error %description -l en_US mythtv -> myth
gstreamer1-plugins-bad-free-extras.x86_64: W: spelling-error %description -l en_US fbdev -> bedevil
gstreamer1-plugins-bad-free-extras.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 3 errors, 13 warnings.

[-]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.

[!]: SHOULD Spec use %global instead of %define.

See https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

Please re-review the ported plugins, and move the soundtouch plugin to the main package (it's used by Totem 3.5.x).
Comment 4 Brian Pepple 2012-08-19 12:05:52 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-bad-free.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gstreamer1-plugins-bad-free-0.11.93-2.fc17.src.rpm

* Sat Aug 18 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.11.93-2
- Fix permission on tarball clean-up script.
- Re-enable soundtouch-devel.
- Add COPYING.LIB to package.
- Use %%global instead of %%define.

Upstream Bug fix fsf addy: http://bugzilla.gnome.org/show_bug.cgi?id=681952
Upstream Bug fixing tarball warnings: http://bugzilla.gnome.org/show_bug.cgi?id=682158
Comment 5 Bastien Nocera 2012-08-20 05:04:54 EDT
All the comments fixed. APPROVED.
Comment 6 Brian Pepple 2012-08-20 11:31:41 EDT
New Package SCM Request
=======================
Package Name: gstreamer1-plugins-bad-free
Short Description: GStreamer streaming media framework "bad" plugins
Owners: bpepple
Branches: f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-08-20 11:55:39 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-20 12:58:17 EDT
gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-bad-free-0.11.93-2.fc18, gstreamer1-plugins-base-0.11.93-1.fc18, gstreamer1-plugins-good-0.11.93-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-11899/gstreamer1-plugins-bad-free-0.11.93-2.fc18,gstreamer1-plugins-good-0.11.93-1.fc18,gstreamer1-plugins-base-0.11.93-1.fc18,gstreamer1-0.11.93-1.fc18
Comment 9 Fedora Update System 2012-08-20 15:49:38 EDT
Package gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-bad-free-0.11.93-2.fc18, gstreamer1-plugins-base-0.11.93-1.fc18, gstreamer1-plugins-good-0.11.93-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer1-0.11.93-1.fc18 gstreamer1-plugins-bad-free-0.11.93-2.fc18 gstreamer1-plugins-base-0.11.93-1.fc18 gstreamer1-plugins-good-0.11.93-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11899/gstreamer1-plugins-bad-free-0.11.93-2.fc18,gstreamer1-plugins-good-0.11.93-1.fc18,gstreamer1-plugins-base-0.11.93-1.fc18,gstreamer1-0.11.93-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-09-17 18:43:51 EDT
gstreamer1-0.11.93-1.fc18, gstreamer1-plugins-bad-free-0.11.93-2.fc18, gstreamer1-plugins-base-0.11.93-1.fc18, gstreamer1-plugins-good-0.11.93-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.